<bugID>695829<Summary>Add telemetry probes to measure how long it takes for us to switch in and out of private browsing mode</Summary><Description>This method is responsible for toggling the state:

http://mxr.mozilla.org/mozilla-central/source/browser/components/privatebrowsing/src/nsPrivateBrowsingService.js?force=1#497

Specifically, the probe needs to measure how long it takes for us from line 522 (setting the status to STATE_TRANSITION_STARTED) to the end of the method.  The pieces before line 522 can potentially show UI, so we shouldn't measure those parts (since we'd be measuring user's response time ;-).

We should ideally have two probes, one for entering and one for leaving the private browsing mode.</Description></bugID>